# $Revision: 1.32.2.3 $, $Date: 2003/08/14 14:29:22 $
Summary:	Cataloging system for documentation
Summary(pl):	System katalogowania dokumentacji
Summary(pt_BR):	ScrollKeeper  um sistema de catlogos para a documentao
Name:		scrollkeeper
Version:	0.3.12
Release:	1
Epoch:		1
License:	GPL
Group:		Applications/Text
Source0:	http://ftp.gnome.org/pub/GNOME/sources/%{name}/0.3/%{name}-%{version}.tar.bz2
# Source0-md5:	c6ce2b4cf005e31b7b1c2d46b82a831c
Patch0:		%{name}-am.patch
Patch1:		%{name}-fix_localstatedir.patch
Patch2:		%{name}-docbook.patch
Patch3:		%{name}-po.patch
URL:		http://scrollkeeper.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	docbook-dtd412-xml >= 1.0-7
BuildRequires:	gettext-devel
BuildRequires:	intltool >= 0.22
BuildRequires:	libtool
BuildRequires:	libxml2-devel
BuildRequires:	libxslt-devel
BuildRequires:	glib2-devel
PreReq:		libxml2
Requires(post):	/sbin/ldconfig
Requires:	awk
Requires:	docbook-dtd412-xml >= 1.0-7
Requires:	intltool >= 0.22
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ScrollKeeper is a cataloging system for documentation. It manages
documentation metadata (as specified by the Open Source Metadata
Framework (OMF)) and provides a simple API to allow help browsers to
find, sort, and search the document catalog. It will also be able to
communicate with catalog servers on the Net to search for documents
which are not on the local system.

%description -l pl
System katalogowania dokumentacji. ScrollKeeper zarzdza metadanymi
dokumentacji (jak podano w Open Source Metadata Framework (OMF)) oraz
dostarcza proste API pozwalajce przegldarkom dokumentacji na
wyszukiwanie, sortowanie itp. w katalogu dokumentw. Ponadto pozwala
on na komunikacj z serwerami sieciowymi zawierajcymi dokumentacj
niedostpn na lokalnym serwerze.

%description -l pt_BR
ScrollKeeper  um sistema de catlogos para documentao. Ele gerencia
dados especficos do OMF (Open Source Metadata Framework) e fornece
uma simples API para permitir com que navegadores de ajuda possam
achar, ordenar e procurar a documentao. Tambm ser possvel
procurar os documentos em servidores na rede caso no seja encontrado
na mquina local.

%prep
%setup -q
%patch0 -p1
#%patch1 -p1
%patch2 -p1
#%patch3 -p1

%build
rm -f missing
%{__libtoolize}
%{__gettextize}
intltoolize --copy --force
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--disable-static

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/var/lib/scrollkeeper/index

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

echo "OMF_DIR=/usr/share/omf" > $RPM_BUILD_ROOT%{_sysconfdir}/scrollkeeper.conf

%find_lang %{name} --with-gnome --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
%{_bindir}/scrollkeeper-rebuilddb
%{_bindir}/scrollkeeper-update

%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_sysconfdir}/scrollkeeper.conf
%{_mandir}/man[1578]/*
%{_datadir}/omf
%{_datadir}/%{name}
%{_datadir}/xml
%{_localstatedir}/lib/scrollkeeper

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: scrollkeeper.spec,v $
Revision 1.32.2.3  2003/08/14 14:29:22  trojan
- updated to 0.3.12
- removed outdated patches
- fixed files

Revision 1.32.2.2  2003/07/11 12:04:08  eothane
- some pld.org.pl->pld-linux.org cosmetics

Revision 1.32.2.1  2003/02/07 15:48:51  qboosh
- added forgotten tempfiles patch from RH (fix for possible symlink attack)
- release 8, STBR to ra/updates/security

Revision 1.32  2002/10/13 21:07:09  ankry
- workaround for xml template files generating ( in -po patch )
- rel. 7, STBR

Revision 1.31  2002/10/13 11:36:19  ankry
- some translation fixes, rel. 6.5 (NFY)

Revision 1.30  2002/10/05 06:35:15  kloczek
- run scrollkeeper-rebuilddb in %post.

Revision 1.29  2002/10/05 05:49:43  ankry
- fix in man page, re. 6

Revision 1.28  2002/09/30 11:17:10  kloczek
- use gettextize instead glib-gettextize (in confifure.in is used AM_GNU_GETTEXT)
  so now mo file names is correct,
- use more macros.

Revision 1.27  2002/09/30 10:35:00  wiget
- new %%doc
- call intltoolize after glib-gettextize (fix @GETTEXT_PACKAGE@.mo problem)
- release 5

Revision 1.26  2002/09/10 20:01:10  aflinta
- changed BR from docbook-dtd412-xmlcatalog to docbook-dtd412-xml >= 1.0-7
- release 4 STBR

Revision 1.25  2002/08/26 17:58:06  wolf
- removed duplicated %%files

Revision 1.24  2002/08/26 09:53:41  aflinta
- added missing dir

Revision 1.23  2002/08/16 14:43:03  wolf
- xmlcatalog dtd is needed
- rel 2

Revision 1.22  2002/08/16 11:47:09  wolf
- added R from readme

Revision 1.21  2002/08/15 19:25:28  wolf
- commented out kloczek's patch to be compatible with 1.16 commit

Revision 1.20  2002/08/15 19:23:34  wolf
- added warning for impatient

Revision 1.19  2002/08/15 01:29:21  michuz
- updated to 0.3.11

Revision 1.18  2002/06/23 20:32:36  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.17  2002/06/23 19:34:59  aflinta
- added BR glib2-devel
- release 2

Revision 1.16  2002/06/23 19:31:46  aflinta
- merged from DEVEL

Revision 1.15  2002/05/21 23:14:41  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.14  2002/03/24 23:28:24  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.13  2002/02/22 23:29:42  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.12  2002/02/18 13:02:30  gotar
- removed Prereq: /sbin/ldconfig (glibc content).

Revision 1.11  2002/02/01 00:01:52  ankry
- added Group(fr)

Revision 1.10  2002/01/18 02:14:53  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.9  2002/01/10 15:49:38  kloczek
- merge translations from Conectiva.

Revision 1.8  2001/12/29 00:30:05  qboosh
- segv patch - quick and dirty fix for some of MANY bugs that can cause SEGV
- release 4

Revision 1.7  2001/12/28 17:15:58  gotar
- changes in descriptions.

Revision 1.6  2001/11/25 16:16:33  gotar
- added %{_datadir}/omf dir to the package contents,
- release 3.

Revision 1.5  2001/09/30 08:31:05  qboosh
- removed scrollkeeper from postun (it won't exist on remove, on upgrade
  it will be called in post)
- added "rm -f missing"
- release 2

Revision 1.4  2001/05/04 12:03:14  kloczek
- updated to 0.2,
- call scrollkeeper-update in %post/%postun,
- added scrollkeeper library (added --disable-static to autoconf parameters),
- remove obsoleted config patch and added fix_localstatedir patch (now
  scrollkeeper-config reports on --localstatedir %%{_localstatedir}/scrollkeeper).

Revision 1.3  2001/04/03 22:14:18  kloczek
- release 2,
- added config patch which fixes sig segv in %post.

Revision 1.2  2001/03/19 15:16:36  kloczek
- added libxl to Prereq,
- spec adapterized,
- added man pages to %files.

Revision 1.1  2001/03/19 14:10:54  misiek
documentation cataloging system
